> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/formerly-vinter-indices/api/staking-yield-reference-rates/staking-yields-daily.md).

# Staking Yields Daily

The staking yields daily endpoint returns staking rates for different protocols.

The endpoint requires an API key, and the protocol's symbol is specified using the symbol parameter. If the limit parameter is not specified, the latest value is returned. To ensure the chronological ordering of the index values, you should sort the values using the timestamp field. The endpoint only returns a maximum of 2000 records.

**Example URL**

{% embed url="<https://www.vinterapi.com/api/v3/staking_yields_daily/?symbol=ada-apr-2-d>" %}

## Response Fields

<table><thead><tr><th width="179.33333333333331">Field</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>integer</td><td>The record's id in the source table. A id that equals 0 means that it is not an official value.</td></tr><tr><td>created_at</td><td>string</td><td>ISO formatted datetime representing the calculation time</td></tr><tr><td>symbol</td><td>string</td><td>The staking yield symbol.</td></tr><tr><td>value</td><td>number</td><td>The yield value in percentage.</td></tr><tr><td>timestamp</td><td>integer</td><td>Unix timestamp in milliseconds representing the calculation time.</td></tr><tr><td>date</td><td>string</td><td>Date representing the calculation date</td></tr></tbody></table>

<mark style="color:blue;">`GET`</mark> `https://www.vinterapi.com/api/v3/staking_yields_daily/`

This is a sample response for asset btc-usd-p-d

#### Query Parameters

| Name                                     | Type       | Description                                                                                                                                                                                                                                             |
| ---------------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String     | The ticker of the requested index                                                                                                                                                                                                                       |
| limit                                    | Integer    | The number of records to obtain. If the parameter is not specified the last record will be returned.                                                                                                                                                    |
| start\_time                              | datestring | <p>Received range includes the start time date. The start\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p> |
| end\_time                                | datestring | <p>Received range excludes the end\_time . The end\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p>        |

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | your\_secret\_api\_key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": "success",
    "message": "Success",
    "data": [
        {
            "id": 55,
            "created_at": "2023-02-20T14:00:00.792Z",
            "symbol": "ada-apr-2-d",
            "value": 3.65,
            "timestamp": 1676901600599,
            "date": "2023-02-20"
        }
    ],
    "params": {
        "symbol": "ada-apr-2-d"
    }
}
```

{% endtab %}
{% endtabs %}

Please read the following for detailed information on parameters.

{% content-ref url="/pages/NKJxJZXheBpBlL7dslBz" %}
[API Requests Parameters](/formerly-vinter-indices/api/api-requests-parameters.md)
{% endcontent-ref %}

### [Try the API](https://vinterapi.com/apidocs)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/formerly-vinter-indices/api/staking-yield-reference-rates/staking-yields-daily.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
